QXmlLocator(3qt)

NAME
QXmlLocator - The XML handler classes with information about the actual parsing position

#include <qxml.h>

  Public Members
QXmlLocator ( QXmlSimpleReader * parent )
~QXmlLocator ()
int columnNumber ()
int lineNumber ()

DESCRIPTION
The QXmlLocator class provides the XML handler classes with information about the actual parsing position.

The reader reports a QXmlLocator to the content handler before he starts to parse the document. This is done with the QXmlContentHandler::setDocumentLocator() function. The handler classes can now use this locator to get the actual position the reader is at.

MEMBER FUNCTION DOCUMENTATION

QXmlLocator::QXmlLocator ( QXmlSimpleReader * parent )
Constructor.

QXmlLocator::~QXmlLocator ()
Destructor.

int QXmlLocator::columnNumber ()
Gets the column number (starting with 1) or -1 if there is no column number available.

int QXmlLocator::lineNumber ()
Gets the line number (starting with 1) or -1 if there is no line number available.

SEE ALSO
http://doc.trolltech.com/qxmllocator.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qxmllocator.3qt) and the Qt version (2.3.1).